<?php

namespace Teknisa\Libs\Exception;

use Teknisa\Libs\Util\Messages;

class Token {
    public static function invalidToken($key) {
        throw new CustomException('INVALID_TOKEN', 100, array( 'token' => $key ));
    }

    public static function expiredToken($key) {
        throw new CustomException('EXPIRED_TOKEN', 101, array( 'token' => $key ));
    }

    public static function expiredTokenSupportOperator() {
        throw new CustomException('ALE_EXPIRED_SESSION_SUPPORT_OPERATOR', 102);
    }
}